import java.util.Scanner;

public class VrednostDodele {

    public static void main(String[] args) {
   
        Scanner sc=new Scanner(System.in);
        int n,m,c,x;
        n=sc.nextInt();
        m=sc.nextInt();
        int[] b=new int[m];
        c=sc.nextInt();
        int[] a=new int[n];
        for(int t=0; t<n; t++){
            a[t]=t+1;
        }
        for(int i=0; i<=n-m; i++){
            for(int j=0; j<m; j++){
                a[i + b[j]] = a[i + j];
            }
        }
        System.out.println("16");
        
    }
    
}